Change log for xfce4-dict package in Ubuntu

129 of 29 results
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
xfce4-dict (0.8.1-1) unstable; urgency=medium

  [ Yves-Alexis Perez ]
  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to <email address hidden>
                                                                closes: #899734
  * d/gbp.conf added, following DEP-14

  [ Unit 193 ]
  * New upstream version 0.8.1
  * d/rules: Drop --parallel and --disable-silent-rules, now defaults.
  * d/compat, d/control: Bump dh compat to 11.
  * d/control: Build-depend on xfce4-dev-tools.
  * d/rules: Ensure the m4 directory exists before autoreconf.
  * d/control, d/copyright, d/watch: Use https where possible.
  * Update Standards-Version to 4.2.1.
  * Remove trailing whitespace in previous entries.

 -- Yves-Alexis Perez <email address hidden>  Sun, 07 Oct 2018 13:48:05 +0200
Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-09-11
Deleted in cosmic-proposed (Reason: moved to release)
xfce4-dict (0.8.1-0ubuntu1) devel; urgency=medium

  * New upstream bugfix and translation release.

 -- Unit 193 <email address hidden>  Tue, 11 Sep 2018 18:22:14 -0400
Superseded in cosmic-release on 2018-09-11
Published in bionic-release on 2017-11-12
Deleted in bionic-proposed (Reason: moved to release)
xfce4-dict (0.8.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
  * Run wrap-and-sort.
  * d/control:
    - Update Standards-Version to 4.1.1.
    - Update build-depends for new version.
      + libgtk2.0-dev → libgtk-3-dev
      + libxfce4ui-1-dev → libxfce4ui-2-dev
      + xfce4-panel-dev → libxfce4panel-2.0-dev
      + Add build-depends on libx11-dev and libglib2.0-dev.

 -- Yves-Alexis Perez <email address hidden>  Sat, 11 Nov 2017 14:51:33 +0100
Superseded in bionic-release on 2017-11-12
Published in artful-release on 2017-05-06
Deleted in artful-proposed (Reason: moved to release)
xfce4-dict (0.8.0-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <email address hidden>  Fri, 05 May 2017 23:31:31 -0400

Available diffs

Superseded in artful-release on 2017-05-06
Deleted in artful-proposed on 2017-05-07 (Reason: moved to release)
xfce4-dict (0.7.99-0ubuntu1) devel; urgency=medium

  * New upstream development release.
  * d/control: Update build-deps for GTK3.
    - Build-dep on libglib2.0-dev and libx11-dev.
    - Update build-deps:
      + libgtk2.0-dev → libgtk-3-dev (>= 3.20.0)
      + xfce4-panel-dev → libxfce4panel-2.0-dev
      + libxfce4ui-1-dev → libxfce4ui-2-dev (>= 4.12.0)

 -- Unit 193 <email address hidden>  Fri, 21 Apr 2017 17:03:58 -0400
Superseded in artful-release on 2017-04-22
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
xfce4-dict (0.7.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Update standards-version to 3.9.8.
    - Use secured link for Vcs-Browser.
  * debian/watch:
    - Bump to version 4.

 -- Yves-Alexis Perez <email address hidden>  Fri, 07 Oct 2016 08:46:32 +0200
Superseded in zesty-release on 2016-10-21
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
xfce4-dict (0.7.2-0ubuntu1) devel; urgency=medium

  * New upstream release

 -- Unit 193 <email address hidden>  Thu, 26 May 2016 17:03:52 -0400
Superseded in yakkety-release on 2016-05-26
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
xfce4-dict (0.7.1-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
  * debian/rules: Disable silent rules so we can run build log checks

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards-version to 3.9.6.

 -- Yves-Alexis Perez <email address hidden>  Wed, 06 May 2015 21:38:17 +0200
Superseded in wily-release on 2015-05-08
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
xfce4-dict (0.7.0-1build1) vivid; urgency=medium

  * No-change rebuild for libxfce4util7
 -- Sean Davis <email address hidden>   Wed, 11 Mar 2015 21:06:45 -0400
Superseded in vivid-release on 2015-03-12
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
xfce4-dict (0.7.0-1) unstable; urgency=low


  * New upstream release.
  * debian/rules:
    - switch to debhelper/dpkg hardening support.
    - don't install .la files.
    - enable parallel build.
  * debian/control:
    - drop build-dep on hardening-includes.
    - update debhelper build-dep to 9.
    - update standards version to 3.9.3.
    - drop version in Xfce build-deps, stable has recent enough versions, and
      switch to libxfce4ui.
  * debian/compat bumped to 9.

 -- Yves-Alexis Perez <email address hidden>  Fri, 24 May 2013 00:00:51 +0200
Superseded in saucy-release on 2013-05-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
xfce4-dict (0.6.0-5ubuntu1) raring; urgency=low

  * Added missing math lib to link, fixing FTBFS.
 -- Daniel T Chen <email address hidden>   Mon, 08 Apr 2013 13:42:33 -0400

Available diffs

Superseded in raring-release on 2013-04-08
Obsolete in quantal-release on 2015-04-24
xfce4-dict (0.6.0-5build2) quantal; urgency=low

  * No change rebuild against xfce4-panel 4.10.
 -- Lionel Le Folgoc <email address hidden>   Fri, 18 May 2012 22:48:11 +0200

Available diffs

Superseded in quantal-release on 2012-05-18
xfce4-dict (0.6.0-5build1) quantal; urgency=low

  * No change rebuild to pick updated xfce4-panel shlibs.
 -- Lionel Le Folgoc <email address hidden>   Thu, 17 May 2012 20:33:06 +0200

Available diffs

Superseded in quantal-release on 2012-05-17
Published in precise-release on 2011-10-17
xfce4-dict (0.6.0-5) unstable; urgency=low

  * debian/rules:
    - pick build flags from dpkg-buildflags.
    - add hardening flags to build flags.
  * debian/control:
    - add build-dep on hardening-includes.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 16:43:00 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
xfce4-dict (0.6.0-4) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on libxfcegui4-dev, since it's not pulled by
      xfce4-panel-dev anymore.
    - bump standards version to 3.9.2.
    - remove Simon and Emanuele from uploaders, thanks to them. 
    - bump Xfce build-deps to 4.8. 

  [ Lionel Le Folgoc ]
  * debian/control: drop b-dep on libexo-0.3-dev, not needed with the current
    version.
 -- Micah Gersten <email address hidden>   Mon,  06 Jun 2011 11:04:39 +0000

Available diffs

Superseded in oneiric-release on 2011-06-06
Obsolete in natty-release on 2013-06-04
xfce4-dict (0.6.0-3ubuntu3) natty; urgency=low

  * No-change rebuild against new xfce4-panel abi for external plugins.
  * Bump xfce4-panel-dev b-dep to >= 4.7.7 to force using the new version.
 -- Lionel Le Folgoc <email address hidden>   Tue, 04 Jan 2011 20:50:44 +0100

Available diffs

Superseded in natty-release on 2011-01-04
xfce4-dict (0.6.0-3ubuntu2) natty; urgency=low

  * debian/control: drop b-dep on libexo-0.3-dev, not needed…
 -- Lionel Le Folgoc <email address hidden>   Mon, 13 Dec 2010 21:52:31 +0100

Available diffs

Superseded in natty-release on 2010-12-13
xfce4-dict (0.6.0-3ubuntu1) natty; urgency=low

  * debian/control:
    - bump xfce4-panel-dev b-dep to >= 4.7.0 to force rebuilding against the
      correct version.
    - add missing explicit libxfcegui4-dev b-dep, fixes FTBFS.
 -- Lionel Le Folgoc <email address hidden>   Fri, 10 Dec 2010 20:00:18 +0100

Available diffs

Superseded in natty-release on 2010-12-10
Obsolete in maverick-release on 2013-03-05
xfce4-dict (0.6.0-3build1) maverick; urgency=low

  * Rebuild against updated xfce4-panel shlibs.
 -- Lionel Le Folgoc <email address hidden>   Sat, 12 Jun 2010 12:16:16 +0200

Available diffs

Superseded in maverick-release on 2010-06-12
xfce4-dict (0.6.0-3) unstable; urgency=low

  [ Enrico Tröger ]
  * debian/control:
    - update long description.
    - add Provides: dict-client.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.8.4.
    - add recommends on ispell too.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 14:08:30 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
xfce4-dict (0.6.0-2) unstable; urgency=low

  * debian/control:
    - drop build-dep on binutils-gold, it was only for testing purpose.

Available diffs

Superseded in lucid-release on 2010-02-02
Obsolete in karmic-release on 2013-03-04
xfce4-dict (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - move to xfce section.
    - bump build-deps for Xfce 4.6.
    - update standards version to 3.8.1.
  * debian/rules:
    - LDFLAGS set to -Wl,-z,defs -Wl,--as-needed.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  11 May 2009 12:08:26 +0100

Available diffs

Superseded in karmic-release on 2009-05-11
xfce4-dict (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update dates and copyright handlers.
  * debian/control:
    - add build-dep on intltool
    - add explicit build-dep on libgtk2.0-dev.
    - update build-dep for 4.4.2.
    - remove xfce4-dict-plugin transitionnal package, xfce4-dict is in
      stable.
  * debian/xfce4-dict.install dropped, now useless.

 -- Michael Casadevall <email address hidden>   Sat,  09 May 2009 14:20:45 +0100

Available diffs

Superseded in karmic-release on 2009-05-09
Obsolete in jaunty-release on 2013-02-28
xfce4-dict (0.5.2-0ubuntu1) jaunty; urgency=low

  * New upstream release.

 -- Lionel Le Folgoc <email address hidden>   Mon, 22 Dec 2008 21:56:38 +0100

Available diffs

Obsolete in intrepid-backports on 2013-02-20
xfce4-dict (0.5.1-0ubuntu1~intrepid1) intrepid-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in jaunty-release on 2008-12-22
xfce4-dict (0.5.1-0ubuntu1) jaunty; urgency=low

  * Upload Debian pkg-xfce SVN r2551 as 0ubuntu1.

Available diffs

Superseded in jaunty-release on 2008-11-25
xfce4-dict (0.5.0-0ubuntu1) jaunty; urgency=low

  * Sync from Debian Xfce SVN Unreleased
    - Once 4.4.3 is uploaded to Debian, this package should
      be synced, there is no Ubuntu delta.

Available diffs

Superseded in jaunty-release on 2008-11-15
Obsolete in intrepid-release on 2013-02-20
xfce4-dict (0.4.0-2) unstable; urgency=low

  * build-dep against debhelper >= 7.0.13 to avoid FTBFS because of mixed
    arch:any and arch:all packages.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  26 Jun 2008 16:44:32 +0100

Available diffs

Superseded in intrepid-release on 2008-06-26
xfce4-dict (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * switch to debhelper 7:
    - debian/rules: copy rules.simple from debhelper examples.
    - debian/control: drop build-dep on cdbs and update debhelper one to 7.
    - debian/compat: added, with 7.
  * rename the package to xfce4-dict:
    - debian/control:
      * rename the binary packages, add Replaces/Conflicts/Provides and add a
        dummy binary packages with the old name.
      * update vcs and vcs-browser.
      * add Homepage.
    - debian/watch: update watch url to follow name change.
    - debian/xfce4-dict.install: install all stuff in xfce4-dict binary deb.
    - debian/NEWS: add info about new dict plugin behavior.
    - debian/copyright: update download url.
  * debian/control:
    - remove Rudy Godoy and Martin Loschwitz from Uploaders. Thanks to them!
    - update standards version to 3.8.0. 

129 of 29 results